#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>

#include "uart.h"
#include "i2c.h"

#define F_CPU           4000000      /* 4Mhz */
#define UART_BAUD_RATE  19200      /* 19200 baud */
#define BAUD			(F_CPU/(UART_BAUD_RATE*16l)-1)
#define WRITE			0
#define READ			1
#define ADDRESS			0xA2


volatile unsigned char temp_innen;
volatile unsigned char temp_aussen;



void int2hex(unsigned char zahl)
{
	unsigned char high;
	high = (zahl >> 4);
	USART_Transmit((high ) + (((high)  > 9) ? 0x37 : 0x30));	 
	USART_Transmit((zahl & 0xF) + (((zahl & 0xF) > 9) ? 0x37 : 0x30));
	
}

00000
{
	USART_Transmit_string("Es wurde eine Taste gedrckt");
	USART_new_line();
	unsigned char temp;
	temp = UDR;
	start_i2c(ADDRESS+WRITE);
	write_i2c(temp);
	rep_start_i2c(ADDRESS+READ);
	int2hex(read_i2c_nack());
	USART_new_line();
	stop_i2c();
	if(temp == '#')
	{
		USART_Transmit_string("Uhr gestartet");
		USART_new_line();
		start_i2c(ADDRESS+WRITE);
		write_i2c(0x00);
		write_i2c(0x03);	
		stop_i2c();
	}
	
}


int main(void)
{
	USART_INIT(BAUD);
	init_i2c();
	USART_Clear_Screen();
	sei ();	
	USART_Transmit_string("I2C Monitor");
	
	//Urzeit setzen
		
	start_i2c(ADDRESS+WRITE);
	write_i2c(0x00);
	write_i2c(0x03);	
	stop_i2c();
	
	
	return 0;	
}
